# Information needed to invert (an approximation to) the sphere frame.
import numpy as np

dependsOnRNGs = True
maxn = None

# This already divides out the VOLUME of the "frame space" (as in the discrete case the number of projections divided by 3 takes that place).
DD = np.diag([1,1,1])#*(2*np.pi/3)

def sample(R):
    while True:
        d = R.next()
        while np.sum(d)<=0:
            d = R.next()
        yield d

