# Information needed to invert (an approximation to) the sphere frame.
import numpy as np

dependsOnRNGs = True
maxn = None

# This already divides out the VOLUME of the "frame space" (as in the discrete case the number of projections divided by 3 takes that place).
DD = np.array([[np.pi/6, 1/3.0, 1/3.0], [1/3.0, np.pi/6, 1/3.0], [1/3.0, 1/3.0, np.pi/6]])*(6/np.pi)

def sample(R):
    while True:
        d = R.next()
        while min(d)<=0:
            d = R.next()
        yield d

